#22 Association problem with pre5 (incompatible rates error)

closed
nobody
None
5
2004-01-29
2003-11-10
Anonymous
No

The ap is DWL-2000AP, it does not associate with any
combination of speeds ( from AP auto and all available
fixed speeds) with or without 805.11g only, with or
without long/short preamble.
All the other things seem to work except for the
association part.

Some log pieces:

Nov 10 12:21:41 obelix-3 kernel: Found ACX100-based
wireless network card, phymem1:0x10800000,
phymem2:0x10810000, irq:9, mem1:0xcfac9000,
mem2:0xcfae3000

Nov 10 12:21:41 obelix-3
kernel: Allocating 6584, 19B8h bytes for wlandevice_t
Nov 10 12:21:41 obelix-3 kernel: hw_unavailable = 1

Nov 10 12:21:41 obelix-3
kernel: reset hw_unavailable++

Nov 10 12:21:41 obelix-3 kernel: Allocated 40636
bytes for firmware module loading.
Nov 10 12:21:41
obelix-3 kernel: acx100_write_fw (firmware): 1,
acx100_validate_fw: 1
Nov 10 12:21:42 obelix-3 kernel:
reset hw_unavailable--
Nov
10 12:21:42 obelix-3 kernel: ************
acx100_initmac_1 ************
Nov 10 12:21:42
obelix-3 kernel: Allocated 964 bytes for firmware
module loading.
Nov 10 12:21:42 obelix-3 kernel:
WriteACXImage (radio): 1, ValidateACXImage: 1
Nov
10 12:21:42 obelix-3 kernel: writing WEP options.

Nov 10 12:21:42 obelix-3
kernel: get_mask 0x00002004, set_mask 0x00000000

Nov 10 12:21:42 obelix-3 kernel: Got antenna value
0x8f.
Nov 10 12:21:42
obelix-3 kernel: get_mask 0x00000000, set_mask
0x00000000 - after update
Nov 10 12:21:42 obelix-3 kernel:
Regulatory domain ID as read from EEPROM: 0x30
Nov
10 12:21:42 obelix-3 kernel: SSID = STA095353, len = 9

Nov 10 12:21:42 obelix-3
kernel: SSID = STA095353, len = 9

Nov 10 12:21:42 obelix-3 kernel: hw_unavailable--

Nov 10 12:21:42
obelix-3 kernel: acx100: form factor 0x00 (standard?),
radio type 0x11 (RFMD), EEPROM version 0x0004. Uploaded
firmware 'Rev 1.9.8.b' (0x01020505).

Nov 10
12:21:42 obelix-3 kernel: firmware version >= 1.9.3.e
--> using software timer
Nov 10 12:21:42 obelix-3 kernel:
acx100_set_status: Setting iStatus = 0 (STARTED)
Nov
10 12:21:42 obelix-3 kernel: initial settings update on
iface activation.
Nov 10 12:21:42 obelix-3
kernel: get_mask 0x00000000, set_mask 0x0000dfff

Nov 10 12:21:42 obelix-3 kernel: acx100_set_status:
Setting iStatus = 0 (STARTED)
Nov 10 12:21:42
obelix-3 kernel: Updating WEP key settings

Nov 10 12:21:42 obelix-3 kernel: Updating
transmit power: 20 dBm
Nov 10
12:21:42 obelix-3 kernel: changing radio power level to
20 dBm (0x3f)
Nov 10 12:21:42 obelix-3 kernel:
Updating antenna value: 0x8F
Nov
10 12:21:42 obelix-3 kernel: Updating energy detect
threshold: 112
Nov 10 12:21:42 obelix-3
kernel: Updating Channel Clear Assessment value: 0x0D

Nov 10 12:21:42 obelix-3 kernel: Updating: enable
Tx
Nov 10 12:21:42
obelix-3 kernel: Updating: enable Rx

Nov 10 12:21:42 obelix-3 kernel: Updating
short retry limit: 5, long retry limit: 3
Nov 10
12:21:42 obelix-3 kernel: Updating xmt MSDU lifetime:
2048
Nov 10 12:21:42 obelix-3 kernel:
Updating regulatory domain: 0x30
Nov
10 12:21:42 obelix-3 kernel: Updating channel: 1

Nov 10 12:21:42 obelix-3
kernel: acx100_set_status: Setting iStatus = 1
(SCANNING)
Nov 10 12:21:42 obelix-3 kernel: get_mask
0x00000000, set_mask 0x00000000 - after update
Nov 10
12:21:42 obelix-3 kernel: ProcessProbeResponse: found
and registered station 0: ESSID "" on channel 1, BSSID
00 40 05 52 D7 63 (Access Point, 36Mbps), SIR 141, SNR 0.

Nov 10 12:37:44 obelix-3 kernel: Sending
authentication1 request, awaiting response!
Nov 10 12:37:44 obelix-3 kernel: process_authen:
UNVERIFIED.
Nov 10 12:37:44 obelix-3 kernel:
00.80.C8.09.53.53<4>00.80.C8.09.53.53<4>00.40.05.52.D7.63<4>00.40.05.52.D7.63<4>00.40.05.52.D7.63<4>Algorithm
is ok
Nov 10 12:37:44 obelix-3 kernel: Got current client for
sta hash tab
Nov 10 12:37:44 obelix-3 kernel: Found acceptable client
Nov 10 12:37:44 obelix-3 kernel: process_authen auth
seq step 2.
Nov 10 12:37:44 obelix-3 kernel: acx100_set_status:
Setting iStatus = 3 (AUTHENTICATED)
Nov 10 12:37:44 obelix-3 kernel: Sending association
request, awaiting response! NOT ASSOCIATED YET.
Nov 10 12:37:44 obelix-3 kernel: association:
requesting capabilities 0x0021
Nov 10 12:37:44 obelix-3 kernel: Association FAILED:
response status code 18: "Association denied due to
requesting station not supporting all of the data rates
in the BSSBasicRateSet parameter"!
=======================

Nov 10 13:57:32 obelix-3 kernel: Association FAILED:
response status code 18: "Association denied due to
requesting station not supporting all of the data rates
in the BSSBasicRateSet parameter"!
Nov 10 13:57:33 obelix-3 kernel: <acx_timer> iStatus = 3
Nov 10 13:57:33 obelix-3 kernel: resend association
request (attempt 11).
Nov 10 13:57:33 obelix-3 kernel: Sending association
request, awaiting response! NOT ASSOCIATED YET.
Nov 10 13:57:33 obelix-3 kernel: association:
requesting capabilities 0x0021
Nov 10 13:57:33 obelix-3 kernel: Association FAILED:
response status code 18: "Association denied due to
requesting station not supporting all of the data rates
in the BSSBasicRateSet parameter"!
Nov 10 13:57:34 obelix-3 kernel: <acx_timer> iStatus = 3
Nov 10 13:57:34 obelix-3 kernel: association request
reply timeout, giving up.
Nov 10 13:57:34 obelix-3 kernel: acx100_set_status:
Setting iStatus = 1 (SCANNING)
Nov 10 13:57:35 obelix-3 kernel: <acx_timer> iStatus = 1
Nov 10 13:57:33 obelix-3 kernel: <acx_timer> iStatus = 3
Nov 10 13:57:33 obelix-3 kernel: resend association
request (attempt 11).
Nov 10 13:57:33 obelix-3 kernel: Sending association
request, awaiting response! NOT ASSOCIATED YET.
Nov 10 13:57:33 obelix-3 kernel: association:
requesting capabilities 0x0021
Nov 10 13:57:33 obelix-3 kernel: Association FAILED:
response status code 18: "Association denied due to
requesting station not supporting all of the data rates
in the BSSBasicRateSet parameter"!
Nov 10 13:57:34 obelix-3 kernel: <acx_timer> iStatus = 3

Discussion

  • Andreas Mohr

    Andreas Mohr - 2003-11-10
    • summary: DWL-650+ association problem with pre5 --> Association problem with pre5 (incompatible rates error)
     
  • Andreas Mohr

    Andreas Mohr - 2003-11-10

    Logged In: YES
    user_id=132674

    One question (only ONE!):
    Is this kind of hassle new with pre5, or did it also occur
    with pre3 and pre4 (NOTE: pre4 may lock up your box, so try
    pre3 or even older versions first!).

    Thanks!

     
  • Andreas Mohr

    Andreas Mohr - 2003-12-02

    Logged In: YES
    user_id=132674

    PLEASE try the pre6_plus_fixes_6 tar, this should hopefully
    fix this problem (the driver was copying the maximum number
    of supported rates instead of the actually announced number
    of rates, thus bumping into the next data structure. doh!).

     
  • Andreas Mohr

    Andreas Mohr - 2004-01-29
    • status: open --> closed
     
  • Andreas Mohr

    Andreas Mohr - 2004-01-29

    Logged In: YES
    user_id=132674

    No report whatsoever any more about incompatible rates, and
    I suspect that this was caused by the 802.11g mis-handling
    overflows, and it's an anon report, so closing.

     

Get latest updates about Open Source Projects, Conferences and News.

Sign up for the SourceForge newsletter:

JavaScript is required for this form.





No, thanks